# Rails Base Image Builder

This repository is the 'Stage 1' base image used in the `builder` stage on all of our rails applications.

* Stage 1 (rails-build): Install packages to compile gems, and compile those gems.
* Stage 2 (rails-runtime): Install packages and configure OS for runtime environment.

## Update gems

To update the gems in this core image, great care must be taken. Once the gemfile has been update, the lock file can be
updated with a simple helper script. There are many ways of achieving this, but the recommended way is:

```
./gem-update.sh
```

Once both the `Gemfile` and `Gemfile.lock` files are both updated, a commit can be created to force a new update.
