#!/bin/bash
cd "$(dirname "$0")"
set -ex
docker run --rm -it -v "$(pwd)":/app \
  ruby:3.2.2-slim-bullseye sh \
  -c "apt-get update; \
      apt-get install -y cmake build-essential ruby-dev libpq-dev default-libmysqlclient-dev; \
      cd /app; \
      gem install --default bundler:2.4.12; \
      gem update --system; \
      bundle update --bundler; \
      bundle outdated; \
      bundle update; \
      bundle install;"
